JOURNAL_FLUSH(9)

NAME
journal_flush - Flush journal

SYNOPSIS

int journal_flush (journal_t * journal);

ARGUMENTS

journal
    Journal to act on.

DESCRIPTION

Flush all data for a given journal to disk and empty the journal. Filesystems can use this when remounting readonly to ensure that recovery does not need to happen on remount.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.